

TOOLS=${ANDROID_SDK_ROOT}/build-tools/34.0.0

run:
	./gradlew run

release-win:
	./gradlew lwjgl3:dist

release:
	rm android/build/outputs/apk/release/*
	sudo archlinux-java set java-17-openjdk
	./gradlew assembleRelease
	sudo archlinux-java set java-22-openjdk
	$(TOOLS)/zipalign -p 4 android/build/outputs/apk/release/android-release-unsigned.apk android/build/outputs/apk/release/android-release-aligned.apk
	$(TOOLS)/zipalign -c 4 android/build/outputs/apk/release/android-release-aligned.apk
	cp android/build/outputs/apk/release/android-release-aligned.apk android/build/outputs/apk/release/android-release-signed.apk
	$(TOOLS)/apksigner sign --ks-key-alias BFB_identity --ks BFB_identity.keystore --ks-pass pass:$(shell cat BFB_identity.password) android/build/outputs/apk/release/android-release-signed.apk
	@echo
	@echo
	@echo ======================================================================================
	@echo file://$(shell pwd)/android/build/outputs/apk/release/
	@echo ======================================================================================
	@echo 
	@echo 